PipeWire: pipewire.c File Reference

PipeWire 0.3.37

Data Structures | Macros | Functions
pipewire.c File Reference
Include dependency graph for pipewire.c:

## Data Structures
struct | plugin
struct | handle
struct | registry
struct | support

## Macros
#define | MAX_SUPPORT 32
#define | SUPPORTLIB "support/libspa-support"

## Functions
uint32_t | pw_get_support (struct spa_support *support, uint32_t max_support)
struct spa_handle * | pw_load_spa_handle (const char *lib, const char *factory_name, const struct spa_dict *info, uint32_t n_support, const struct spa_support support[])
int | pw_unload_spa_handle (struct spa_handle *handle)
int | pw_set_domain (const char *domain)
const char * | pw_get_domain (void)
const char * | pw_gettext (const char *msgid)
const char * | pw_ngettext (const char *msgid, const char *msgid_plural, unsigned long int n)
void | pw_init (int *argc, char **argv[])
| Initialize PipeWire. More...
void | pw_deinit (void)
bool | pw_debug_is_category_enabled (const char *name)
| Check if a debug category is enabled. More...
const char * | pw_get_application_name (void)
| Get the application name. More...
const char * | pw_get_prgname (void)
| Get the program name. More...
const char * | pw_get_user_name (void)
| Get the user name. More...
const char * | pw_get_host_name (void)
| Get the host name. More...
bool | pw_in_valgrind (void)
bool | pw_check_option (const char *option, const char *value)
const char * | pw_get_client_name (void)
| Get the client name. More...
enum pw_direction | pw_direction_reverse (enum pw_direction direction)
| Reverse the direction. More...
const char * | pw_get_library_version (void)
| Get the currently running version. More...
const struct spa_type_info * | pw_type_info (void)

## Macro Definition Documentation

## ◆ MAX_SUPPORT

#define MAX_SUPPORT 32

## ◆ SUPPORTLIB

#define SUPPORTLIB "support/libspa-support"

## Function Documentation

## ◆ pw_get_library_version()

const char * pw_get_library_version | ( | void |  | ) |

Get the currently running version.

Referenced by main(), and pw_context_create_core().

## ◆ pw_gettext()

const char * pw_gettext | ( | const char * | msgid | ) |

References spa_i18n_text().

## ◆ pw_ngettext()

const char * pw_ngettext | ( | const char * | msgid,
|  | const char * | msgid_plural,
|  | unsigned long int | n
| ) |  |

References spa_i18n_ntext().